| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::simple_mask Class Reference
API

matches as done on shell command lines (see "man 7 glob") More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| simple_mask (const std::string &wilde_card_expression, bool case_sensit)
| the constructor to use by libdar external programs More...
| simple_mask (const simple_mask &m)
| copy constructor
const simple_mask & | operator= (const simple_mask &m)
| assignment operator
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class
Public Member Functions inherited from libdar::mask
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

matches as done on shell command lines (see "man 7 glob")

Definition at line 114 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::simple_mask::simple_mask | ( | const std::string & | wilde_card_expression,
|  | bool | case_sensit
| ) |  |

the constructor to use by libdar external programs

Parameters

  [in] | wilde_card_expression | is the glob expression that defines the mask
  [in] | case_sensit | whether the mask is case sensitive or not

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp